!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __blas_s_include )

   !DEC$ DEFINE __blas_s_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      FUNCTION isamax(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: isamax
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         INTEGER(KIND=4) :: isamax
      END FUNCTION isamax
   END INTERFACE

   INTERFACE
      FUNCTION isamin(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: isamin
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         INTEGER(KIND=4) :: isamin
      END FUNCTION isamin
   END INTERFACE

   INTERFACE
      FUNCTION ismax(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: ismax
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         INTEGER(KIND=4) :: ismax
      END FUNCTION ismax
   END INTERFACE

   INTERFACE
      FUNCTION ismin(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: ismin
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         INTEGER(KIND=4) :: ismin
      END FUNCTION ismin
   END INTERFACE

   INTERFACE
      FUNCTION samax(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: samax
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: samax
      END FUNCTION samax
   END INTERFACE

   INTERFACE
      FUNCTION samin(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: samin
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: samin
      END FUNCTION samin
   END INTERFACE

   INTERFACE
      FUNCTION sasum(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: sasum
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sasum
      END FUNCTION sasum
   END INTERFACE

   INTERFACE
      SUBROUTINE saxpy(n,sa,sx,incx,sy,incy)
         !DEC$ ATTRIBUTES DEFAULT :: saxpy
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sa
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
      END SUBROUTINE saxpy
   END INTERFACE

   INTERFACE
      FUNCTION scamax(n,cx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: scamax
         INTEGER(KIND=4) :: n
         COMPLEX(KIND=4) :: cx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: scamax
      END FUNCTION scamax
   END INTERFACE

   INTERFACE
      FUNCTION scamin(n,cx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: scamin
         INTEGER(KIND=4) :: n
         COMPLEX(KIND=4) :: cx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: scamin
      END FUNCTION scamin
   END INTERFACE

   INTERFACE
      FUNCTION scasum(n,cx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: scasum
         INTEGER(KIND=4) :: n
         COMPLEX(KIND=4) :: cx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: scasum
      END FUNCTION scasum
   END INTERFACE

   INTERFACE
      FUNCTION scnorm2(n,cx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: scnorm2
         INTEGER(KIND=4) :: n
         COMPLEX(KIND=4) :: cx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: scnorm2
      END FUNCTION scnorm2
   END INTERFACE

   INTERFACE
      FUNCTION scnrm2(n,cx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: scnrm2
         INTEGER(KIND=4) :: n
         COMPLEX(KIND=4) :: cx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: scnrm2
      END FUNCTION scnrm2
   END INTERFACE

   INTERFACE
      FUNCTION scnrsq(n,cx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: scnrsq
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: cx(2,*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: scnrsq
      END FUNCTION scnrsq
   END INTERFACE

   INTERFACE
      SUBROUTINE scopy(n,sx,incx,sy,incy)
         !DEC$ ATTRIBUTES DEFAULT :: scopy
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
      END SUBROUTINE scopy
   END INTERFACE

   INTERFACE
      FUNCTION sdot(n,sx,incx,sy,incy)
         !DEC$ ATTRIBUTES DEFAULT :: sdot
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
         REAL(KIND=4) :: sdot
      END FUNCTION sdot
   END INTERFACE

   INTERFACE
      FUNCTION sdsdot(n,sb,sx,incx,sy,incy)
         !DEC$ ATTRIBUTES DEFAULT :: sdsdot
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sb
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
         REAL(KIND=4) :: sdsdot
      END FUNCTION sdsdot
   END INTERFACE

   INTERFACE
      SUBROUTINE sgemt(trans,m,n,alpha,a,lda,b,ldb)
         !DEC$ ATTRIBUTES DEFAULT :: sgemt
         INTEGER(KIND=4) :: ldb
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: trans
         INTEGER(KIND=4) :: m
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: b(ldb,*)
      END SUBROUTINE sgemt
   END INTERFACE

   INTERFACE
      SUBROUTINE sgemv(trans,m,n,alpha,a,lda,x,incx,beta,y,incy)
         !DEC$ ATTRIBUTES DEFAULT :: sgemv
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: trans
         INTEGER(KIND=4) :: m
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: beta
         REAL(KIND=4) :: y(*)
         INTEGER(KIND=4) :: incy
      END SUBROUTINE sgemv
   END INTERFACE

   INTERFACE
      SUBROUTINE sger(m,n,alpha,x,incx,y,incy,a,lda)
         !DEC$ ATTRIBUTES DEFAULT :: sger
         INTEGER(KIND=4) :: lda
         INTEGER(KIND=4) :: m
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: y(*)
         INTEGER(KIND=4) :: incy
         REAL(KIND=4) :: a(lda,*)
      END SUBROUTINE sger
   END INTERFACE

   INTERFACE
      FUNCTION smax(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: smax
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: smax
      END FUNCTION smax
   END INTERFACE

   INTERFACE
      FUNCTION smin(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: smin
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: smin
      END FUNCTION smin
   END INTERFACE

   INTERFACE
      FUNCTION snorm2(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: snorm2
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: snorm2
      END FUNCTION snorm2
   END INTERFACE

   INTERFACE
      FUNCTION snrm2(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: snrm2
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: snrm2
      END FUNCTION snrm2
   END INTERFACE

   INTERFACE
      FUNCTION snrsq(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: snrsq
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: snrsq
      END FUNCTION snrsq
   END INTERFACE

   INTERFACE
      SUBROUTINE srot(n,sx,incx,sy,incy,c,s)
         !DEC$ ATTRIBUTES DEFAULT :: srot
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
         REAL(KIND=4) :: c
         REAL(KIND=4) :: s
      END SUBROUTINE srot
   END INTERFACE

   INTERFACE
      SUBROUTINE srotg(sa,sb,c,s)
         !DEC$ ATTRIBUTES DEFAULT :: srotg
         REAL(KIND=4) :: sa
         REAL(KIND=4) :: sb
         REAL(KIND=4) :: c
         REAL(KIND=4) :: s
      END SUBROUTINE srotg
   END INTERFACE

   INTERFACE
      SUBROUTINE srotm(n,sx,incx,sy,incy,sparam)
         !DEC$ ATTRIBUTES DEFAULT :: srotm
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
         REAL(KIND=4) :: sparam(5)
      END SUBROUTINE srotm
   END INTERFACE

   INTERFACE
      SUBROUTINE srotmg(sd1,sd2,sx1,sy1,sparam)
         !DEC$ ATTRIBUTES DEFAULT :: srotmg
         REAL(KIND=4) :: sd1
         REAL(KIND=4) :: sd2
         REAL(KIND=4) :: sx1
         REAL(KIND=4) :: sy1
         REAL(KIND=4) :: sparam(5)
      END SUBROUTINE srotmg
   END INTERFACE

   INTERFACE
      SUBROUTINE ssbmv(uplo,n,k,alpha,a,lda,x,incx,beta,y,incy)
         !DEC$ ATTRIBUTES DEFAULT :: ssbmv
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         INTEGER(KIND=4) :: n
         INTEGER(KIND=4) :: k
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: beta
         REAL(KIND=4) :: y(*)
         INTEGER(KIND=4) :: incy
      END SUBROUTINE ssbmv
   END INTERFACE

   INTERFACE
      SUBROUTINE sscal(n,sa,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: sscal
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sa
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE sscal
   END INTERFACE

   INTERFACE
      SUBROUTINE sset(n,sa,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: sset
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sa
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE sset
   END INTERFACE

   INTERFACE
      SUBROUTINE sspmv(uplo,n,alpha,ap,x,incx,beta,y,incy)
         !DEC$ ATTRIBUTES DEFAULT :: sspmv
         CHARACTER(LEN=1) :: uplo
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: ap(*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: beta
         REAL(KIND=4) :: y(*)
         INTEGER(KIND=4) :: incy
      END SUBROUTINE sspmv
   END INTERFACE

   INTERFACE
      SUBROUTINE sspr(uplo,n,alpha,x,incx,ap)
         !DEC$ ATTRIBUTES DEFAULT :: sspr
         CHARACTER(LEN=1) :: uplo
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: ap(*)
      END SUBROUTINE sspr
   END INTERFACE

   INTERFACE
      SUBROUTINE sspr2(uplo,n,alpha,x,incx,y,incy,ap)
         !DEC$ ATTRIBUTES DEFAULT :: sspr2
         CHARACTER(LEN=1) :: uplo
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: y(*)
         INTEGER(KIND=4) :: incy
         REAL(KIND=4) :: ap(*)
      END SUBROUTINE sspr2
   END INTERFACE

   INTERFACE
      FUNCTION ssum(n,sx,incx)
         !DEC$ ATTRIBUTES DEFAULT :: ssum
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: ssum
      END FUNCTION ssum
   END INTERFACE

   INTERFACE
      SUBROUTINE sswap(n,sx,incx,sy,incy)
         !DEC$ ATTRIBUTES DEFAULT :: sswap
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
      END SUBROUTINE sswap
   END INTERFACE

   INTERFACE
      SUBROUTINE ssymm(side,uplo,m,n,alpha,a,lda,b,ldb,beta,c,ldc)
         !DEC$ ATTRIBUTES DEFAULT :: ssymm
         INTEGER(KIND=4) :: ldc
         INTEGER(KIND=4) :: ldb
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: side
         CHARACTER(LEN=1) :: uplo
         INTEGER(KIND=4) :: m
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: b(ldb,*)
         REAL(KIND=4) :: beta
         REAL(KIND=4) :: c(ldc,*)
      END SUBROUTINE ssymm
   END INTERFACE

   INTERFACE
      SUBROUTINE ssymv(uplo,n,alpha,a,lda,x,incx,beta,y,incy)
         !DEC$ ATTRIBUTES DEFAULT :: ssymv
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: beta
         REAL(KIND=4) :: y(*)
         INTEGER(KIND=4) :: incy
      END SUBROUTINE ssymv
   END INTERFACE

   INTERFACE
      SUBROUTINE ssyr(uplo,n,alpha,x,incx,a,lda)
         !DEC$ ATTRIBUTES DEFAULT :: ssyr
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: a(lda,*)
      END SUBROUTINE ssyr
   END INTERFACE

   INTERFACE
      SUBROUTINE ssyr2(uplo,n,alpha,x,incx,y,incy,a,lda)
         !DEC$ ATTRIBUTES DEFAULT :: ssyr2
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: y(*)
         INTEGER(KIND=4) :: incy
         REAL(KIND=4) :: a(lda,*)
      END SUBROUTINE ssyr2
   END INTERFACE

   INTERFACE
      SUBROUTINE ssyrk(uplo,trans,n,k,alpha,a,lda,beta,c,ldc)
         !DEC$ ATTRIBUTES DEFAULT :: ssyrk
         INTEGER(KIND=4) :: ldc
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         CHARACTER(LEN=1) :: trans
         INTEGER(KIND=4) :: n
         INTEGER(KIND=4) :: k
         REAL(KIND=4) :: alpha
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: beta
         REAL(KIND=4) :: c(ldc,*)
      END SUBROUTINE ssyrk
   END INTERFACE

   INTERFACE
      SUBROUTINE stbmv(uplo,trans,diag,n,k,a,lda,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: stbmv
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         CHARACTER(LEN=1) :: trans
         CHARACTER(LEN=1) :: diag
         INTEGER(KIND=4) :: n
         INTEGER(KIND=4) :: k
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE stbmv
   END INTERFACE

   INTERFACE
      SUBROUTINE stbsv(uplo,trans,diag,n,k,a,lda,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: stbsv
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         CHARACTER(LEN=1) :: trans
         CHARACTER(LEN=1) :: diag
         INTEGER(KIND=4) :: n
         INTEGER(KIND=4) :: k
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE stbsv
   END INTERFACE

   INTERFACE
      SUBROUTINE stpmv(uplo,trans,diag,n,ap,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: stpmv
         CHARACTER(LEN=1) :: uplo
         CHARACTER(LEN=1) :: trans
         CHARACTER(LEN=1) :: diag
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: ap(*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE stpmv
   END INTERFACE

   INTERFACE
      SUBROUTINE stpsv(uplo,trans,diag,n,ap,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: stpsv
         CHARACTER(LEN=1) :: uplo
         CHARACTER(LEN=1) :: trans
         CHARACTER(LEN=1) :: diag
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: ap(*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE stpsv
   END INTERFACE

   INTERFACE
      SUBROUTINE strmv(uplo,trans,diag,n,a,lda,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: strmv
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         CHARACTER(LEN=1) :: trans
         CHARACTER(LEN=1) :: diag
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE strmv
   END INTERFACE

   INTERFACE
      SUBROUTINE strsv(uplo,trans,diag,n,a,lda,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: strsv
         INTEGER(KIND=4) :: lda
         CHARACTER(LEN=1) :: uplo
         CHARACTER(LEN=1) :: trans
         CHARACTER(LEN=1) :: diag
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: a(lda,*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE strsv
   END INTERFACE

   INTERFACE
      SUBROUTINE svcal(n,sa,sx,incx,sy,incy)
         !DEC$ ATTRIBUTES DEFAULT :: svcal
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sa
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
      END SUBROUTINE svcal
   END INTERFACE

   INTERFACE
      SUBROUTINE szaxpy(n,sa,sx,incx,sy,incy,sz,incz)
         !DEC$ ATTRIBUTES DEFAULT :: szaxpy
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: sa
         REAL(KIND=4) :: sx(*)
         INTEGER(KIND=4) :: incx
         REAL(KIND=4) :: sy(*)
         INTEGER(KIND=4) :: incy
         REAL(KIND=4) :: sz(*)
         INTEGER(KIND=4) :: incz
      END SUBROUTINE szaxpy
   END INTERFACE

!DEC$ ENDIF
